div(ng-include='"components/navbar/navbar.html"')
.container
  .row
    .col-md-12
      h1 Blend
  .row
    .col-xs-6
      form.form-horizontal
        .form-group
          .col-sm-12
            input#name-search.form-control(type='text', placeholder='Search for a source...', ng-model="search.name")
      .sources-container
        .existing-source(ng-repeat="source in sources | orderBy:'-created_at' | filter: search", style="margin-bottom:10px", ng-controller='sourceCaptureCtrl')
          .well
            .row
              source-cartouche
            .row
              .col.md-12.fields-container
                h4
                  | Fields:
                  draggable-field-label(source='source', field='field', ng-repeat="field in source.fields | orderBy: 'position'")
                .clearfix
            .row(uib-collapse="isCollapsed")
              .col-md-12
                source-data-view(source="::source")
    .col-xs-6.blender
      div.blend-land-zone.bg-warning(ng-drop="true" ng-drop-success="onDropBlendComplete($data,$event)", style="margin-top:25px")
        h2 Blender
        .blend-fields-container
          div(ng-repeat='field in joinFields')
            h4(style="margin-bottom:15px")
              span.label.label-default.blend-field(style="margin-top:5px;") {{field.source.name}}
                | &nbsp;
                span.label.label-warning {{field.name}}
                a.label.label-danger.remove-field(ng-click = "removeField(field)")
                  | x
        button.btn.btn-success(ng-if="joinFields.length > 1" ng-click="blend()")
          i.fa.fa-random
          | &nbsp;blend!
      .clearfix
      p.info(style="margin-top:15px") 
        i.fa.fa-info-circle.text-info
        |  Drag <span class="text-yellow">identifier fields</span> from different sources into the blender and press the <kbd>blend</kbd> button.